Crazy Eddies GUI System: CEGUI::Font_xmlHandler Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
CEGUI::Font_xmlHandler Class Reference

Handler class used to parse the Font XML files to create Font objects. More...

Inheritance diagram for CEGUI::Font_xmlHandler:
[legend]
Collaboration diagram for CEGUI::Font_xmlHandler:
[legend]

List of all members.

## Public Member Functions
| Font_xmlHandler (const String &filename, const String &resource_group)
| Constructor.
| ~Font_xmlHandler ()
| Destructor.
const String & | getObjectName () const
| Return string holding the name of the created Font.
Font & | getObject () const
| Return reference to the created Font object.
void | elementStart (const String &element, const XMLAttributes &attributes)
| Method called to notify the handler at the start of each XML element encountered.
void | elementEnd (const String &element)
| Method called to notify the handler at the end of each XML element encountered.
## Static Public Attributes
static const String | FontSchemaName
| Filename of the XML schema used for validating Font files.
static const String | FontElement
| Tag name for Font elements.
static const String | MappingElement
| Tag name for Mapping elements.
static const String | FontTypeAttribute
| Attribute name that stores the specific font type.
static const String | FontNameAttribute
| Attribute name that stores the font name.
static const String | FontFilenameAttribute
| Attribute name that stores the filename of the font source (font / imageset)
static const String | FontResourceGroupAttribute
| Attribute name that stores the resource group of the font source.
static const String | FontAutoScaledAttribute
| Attribute name that stores the auto-scaled setting.
static const String | FontNativeHorzResAttribute
| Attribute name that stores the horizontal native resolution.
static const String | FontNativeVertResAttribute
| Attribute name that stores the vertical native resolution.
static const String | FontLineSpacingAttribute
| Attribute name that stores the line height that we'll report for this font.
static const String | FontSizeAttribute
| Attribute name that stores the font point size.
static const String | FontAntiAliasedAttribute
| Attribute name that stores the font anti-aliasing setting.
static const String | MappingCodepointAttribute
| Attribute name that stores the codepoint value for a mapping.
static const String | MappingImageAttribute
| Attribute name that stores the image name for a mapping.
static const String | MappingHorzAdvanceAttribute
| Attribute name that stores the horizontal advance value for a mapping.
static const String | FontTypeFreeType
| Type name of FreeType fonts.
static const String | FontTypePixmap
| Type name of Pixmap fonts.

## Detailed Description

Handler class used to parse the Font XML files to create Font objects.

## Member Function Documentation

void CEGUI::Font_xmlHandler::elementEnd | ( | const String & | element | ) | `[virtual]`

Method called to notify the handler at the end of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is ending.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.

void CEGUI::Font_xmlHandler::elementStart | ( | const String & | element,
|  | const XMLAttributes & | attributes
| ) |  | `[virtual]`

Method called to notify the handler at the start of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is starting.
  attributes | An XMLAttributes object holding the collection of attributes specified for the element.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.